Bug 195034 - ksmserver crashed when trying to log in after computer crashed [_IceTransGetConnectionNumber, KSMServer::newConnection]
Summary: ksmserver crashed when trying to log in after computer crashed [_IceTransGetC...
Status: RESOLVED FIXED
Alias: None
Product: ksmserver
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Lubos Lunak
URL:
Keywords:
: 208533 219006 221568 233286 234557 237184 238067 239900 240670 250351 254523 257688 263789 274565 274568 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-06-02 22:51 UTC by Oliver Putz
Modified: 2011-05-31 11:59 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Putz 2009-06-02 22:51:16 UTC
Version:            (using KDE 4.2.3)
Compiler:          gcc version 4.3.2 (Gentoo 4.3.2-r3 p1.6, pie-10.1.5) 
OS:                Linux
Installed from:    Gentoo Packages

What happened:

1) The computer crashed and I had to do a hard reset
2) When I first tried to log into a KDE-4.2.3 session, I was greeted by crash handler for ksmserver

Not sure if its helpful, but after that I

1) rebooted and tried to log into the KDE-4.2.3 session again. Logging in however did not work (login process stalled at some point)
2) Could not log into the KDE-4.2.3 session until I deleted the ~/.kde4 directory

So perhaps the crash is related to some config file that was garbled during the crash? In any case, the backtrace was:


(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0x7fbc164a3760 (LWP 9265)]
[New Thread 0x420f3950 (LWP 9266)]
[KCrash handler]
#5  _IceTransGetConnectionNumber (ciptr=0x0)
    at /usr/include/X11/Xtrans/Xtrans.c:1004
#6  0x00007fbc1623fb5c in KSMServer::newConnection (
    this=<value optimized out>)
    at /var/tmp/portage/kde-base/ksmserver-4.2.3/work/ksmserver-4.2.3/ksmserver/server.cpp:809
#7  0x00007fbc162432ee in KSMServer::qt_metacall (this=0x6dec90, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff1e674cf0)
    at /var/tmp/portage/kde-base/ksmserver-4.2.3/work/ksmserver-4.2.3_build/ksmserver/server.moc:106
#8  0x00007fbc14565900 in QMetaObject::activate (sender=0x6e13e0, 
    from_signal_index=<value optimized out>, to_signal_index=4, argv=0x0)
    at kernel/qobject.cpp:3025
#9  0x00007fbc14598b2e in QSocketNotifier::activated (this=0x0, _t1=9)
    at .moc/debug-shared/moc_qsocketnotifier.cpp:81
#10 0x00007fbc1456b0b3 in QSocketNotifier::event (this=0x6e13e0, 
    e=0x7fff1e6752b0) at kernel/qsocketnotifier.cpp:326
#11 0x00007fbc133e6a2d in QApplicationPrivate::notify_helper (this=0x61a220, 
    receiver=0x6e13e0, e=0x7fff1e6752b0) at kernel/qapplication.cpp:3809
#12 0x00007fbc133edd8e in QApplication::notify (this=0x61a100, 
    receiver=0x6e13e0, e=0x7fff1e6752b0) at kernel/qapplication.cpp:3774
#13 0x00007fbc1527af84 in KApplication::notify (this=0x61a100, 
    receiver=0x6e13e0, event=0x7fff1e6752b0)
    at /var/tmp/portage/kde-base/kdelibs-4.2.3/work/kdelibs-4.2.3/kdeui/kernel/kapplication.cpp:307
#14 0x00007fbc14550be0 in QCoreApplication::notifyInternal (this=0x61a100, 
    receiver=0x6e13e0, event=0x7fff1e6752b0)
    at kernel/qcoreapplication.cpp:589
#15 0x00007fbc14577d99 in socketNotifierSourceDispatch (source=0x61f4a0)
    at kernel/qcoreapplication.h:215
#16 0x00007fbc0d3e9614 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#17 0x00007fbc0d3eb4d7 in g_main_context_iterate ()
   from /usr/lib/libglib-2.0.so.0
#18 0x00007fbc0d3eb5bd in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#19 0x00007fbc14577b1f in QEventDispatcherGlib::processEvents (this=0x61a450, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
#20 0x00007fbc1346ce1f in QGuiEventDispatcherGlib::processEvents (this=0x0, 
    flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007fbc1454f812 in QEventLoop::processEvents (
    this=<value optimized out>, flags={i = 510088352})
    at kernel/qeventloop.cpp:149
#22 0x00007fbc1454f9a5 in QEventLoop::exec (this=0x7fff1e6754e0, flags=
      {i = 510088432}) at kernel/qeventloop.cpp:196
#23 0x00007fbc14554747 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:851
#24 0x00007fbc1623f1d4 in kdemain (argc=1, argv=0x7fff1e675a48)
    at /var/tmp/portage/kde-base/ksmserver-4.2.3/work/ksmserver-4.2.3/ksmserver/main.cpp:322
#25 0x00007fbc10f6d486 in __libc_start_main () from /lib/libc.so.6
#26 0x0000000000400919 in _start ()
Comment 1 Jonathan Thomas 2009-06-02 23:47:57 UTC
We also received a report about this crash downstream at Ubuntu: https://launchpad.net/bugs/348659

#0  _IceTransGetConnectionNumber (ciptr=0x0)
    at /usr/include/X11/Xtrans/Xtrans.c:1006
No locals.
#1  0x00007f351d207f69 in KSMServer::newConnection (
    this=<value optimized out>)
    at /build/buildd/kdebase-workspace-4.2.1a/ksmserver/server.cpp:809
	status = IceAcceptSuccess
	iceConn = <value optimized out>
	cstatus = IceConnectPending
	__PRETTY_FUNCTION__ = "void KSMServer::newConnection(int)"
#2  0x00007f351d2083bb in KSMServer::qt_metacall (this=0xf2d070, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff2564ae00)
    at /build/buildd/kdebase-workspace-4.2.1a/obj-x86_64-linux-gnu/ksmserver/server.moc:112
No locals.
#3  0x00007f3519c961f2 in QMetaObject::activate ()
   from /usr/lib/libQtCore.so.4
#4  0x00007f3519ccd44e in QSocketNotifier::activated ()
   from /usr/lib/libQtCore.so.4
#5  0x00007f3519c9ae53 in QSocketNotifier::event ()
   from /usr/lib/libQtCore.so.4
#6  0x00007f351accb83d in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#7  0x00007f351acd3a2a in QApplication::notify () from /usr/lib/libQtGui.so.4
#8  0x00007f351c0fee5b in KApplication::notify (this=0xe30a10, 
    receiver=0xf2f880, event=0x7fff2564b3d0)
    at /build/buildd/kde4libs-4.2.1a/kdeui/kernel/kapplication.cpp:307
No locals.
#9  0x00007f3519c8075c in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#10 0x00007f3519caa0e9 in ?? () from /usr/lib/libQtCore.so.4
#11 0x00007f3513bd90ca in IA__g_main_context_dispatch (context=0xe34130)
    at /build/buildd/glib2.0-2.20.0/glib/gmain.c:1814
No locals.
#12 0x00007f3513bdc7a0 in g_main_context_iterate (context=0xe34130, block=1, 
    dispatch=1, self=<value optimized out>)
    at /build/buildd/glib2.0-2.20.0/glib/gmain.c:2448
	max_priority = 2147483647
	timeout = 1999
	some_ready = 1
	nfds = 11
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0xf31980
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#13 0x00007f3513bdc93c in IA__g_main_context_iteration (context=0xe34130, 
    may_block=1) at /build/buildd/glib2.0-2.20.0/glib/gmain.c:2511
	retval = <value optimized out>
#14 0x00007f3519ca9e6f in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#15 0x00007f351ad63c9f in ?? () from /usr/lib/libQtGui.so.4
#16 0x00007f3519c7f002 in QEventLoop::processEvents ()
   from /usr/lib/libQtCore.so.4
#17 0x00007f3519c7f3cd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#18 0x00007f3519c81694 in QCoreApplication::exec ()
   from /usr/lib/libQtCore.so.4
#19 0x00007f351d202475 in kdemain (argc=1, argv=0x7fff2564bbe8)
    at /build/buildd/kdebase-workspace-4.2.1a/ksmserver/main.cpp:322
	aboutData = {d = 0xe164b0}
	options = {d = 0xe23c60}
	a = <value optimized out>
	args = (KCmdLineArgs *) 0x7f3519f76e70
	wm = {static null = {<No data fields>}, static shared_null = {ref = {
      _q_value = 2666}, alloc = 0, size = 0, data = 0x7f3519f7641a, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 68}, 
    alloc = 0, size = 0, data = 0x7f3519f7643a, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0x7f3519f76420, static codecForCStrings = 0x0}
	only_local = <value optimized out>
	server = (class KSMServer *) 0xf2d070
	kde_running = {<> = {<No data fields>}, static staticMetaObject = {
    d = {superdata = 0x7f3519f6b020, 
      stringdata = 0x7f351c261da0 "KSelectionOwner", data = 0x7f351c261e20, 
      extradata = 0x0}}, d = 0xe71670}
	config = {<KConfigBase> = {_vptr.KConfigBase = 0x7f351a6424d0}, d = {
    d = 0xe4dcc0}}
	realScreenCount = 1
	screenCountChanged = false
	loginMode = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 2666}, alloc = 0, size = 0, data = 0x7f3519f7641a, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 68}, 
    alloc = 0, size = 0, data = 0x7f3519f7643a, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0xe71ca0, static codecForCStrings = 0x0}
	ret = <value optimized out>
#20 0x00007f3517ec95a6 in __libc_start_main (main=0x400890 <main>, argc=1, 
    ubp_av=0x7fff2564bbe8, init=0x4008c0 <__libc_csu_init>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff2564bbd8) at libc-start.c:220
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4196544, 
        -2796574088422964541, 4196256, 140733820746720, 0, 0, 
        2796410357705130691, 2835787237902172867}, mask_was_saved = 0}}, 
  priv = {pad = {0x0, 0x0, 0x1, 0x400890}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 1}}}
	not_first_call = <value optimized out>
#21 0x00000000004007c9 in _start () at ../sysdeps/x86_64/elf/start.S:113
No locals.
Comment 2 Jonathan Thomas 2009-11-14 02:11:29 UTC
Improved backtrace reported against KDE 4.3.2:

.
Thread 2 (process 6105):
#0  0x00d6b422 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0065e981 in select () from /lib/tls/i686/cmov/libc.so.6
No locals.
#2  0x00e8eaf5 in QProcessManager::run (this=0x9602698)
    at io/qprocess_unix.cpp:296
	readset = {fds_bits = {64, 0 <repeats 31 times>}}
	nselect = <value optimized out>
	c = 9 '\t'
#3  0x00dbfe32 in QThreadPrivate::start (arg=0x9602698)
    at thread/qthread_unix.cpp:188
	data = (QThreadData *) 0x96024c8
#4  0x0013180e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5  0x006657ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.
.
Thread 1 (process 6104):
#0  _IceTransGetConnectionNumber (ciptr=0x96ee5a8)
    at /usr/include/X11/Xtrans/Xtrans.c:1004
No locals.
#1  0x08b7fef5 in KSMServer::newConnection (this=0x96812e0)
    at ../../ksmserver/server.cpp:825
	status = IceAcceptSuccess
	iceConn = (IceConn) 0x96ee5a8
	cstatus = IceConnectPending
	__PRETTY_FUNCTION__ = "void KSMServer::newConnection(int)"
#2  0x08b8022f in KSMServer::qt_metacall (this=0x96812e0, 
    _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfa64528)
    at ./server.moc:107
No locals.
#3  0x00ec6263 in QMetaObject::activate (sender=0x9690b78, 
    from_signal_index=4, to_signal_index=4, argv=0xbfa64528)
    at kernel/qobject.cpp:3113
	c = <value optimized out>
	method = 5
	currentSender = {sender = 0x9690b78, signal = 4, ref = 1}
	previousSender = (QObjectPrivate::Sender *) 0x0
	i = 0
	count = 1
	signal = 4
	empty_argv = {0x0}
	locker = {{mtx = 0x9558e7c, val = 156601980}}
	currentThreadData = <value optimized out>
	connectionLists = (QObjectConnectionListVector *) 0x968c3d8
#4  0x00ec6ec2 in QMetaObject::activate (sender=0x9690b78, m=0xfa18b0, 
    local_signal_index=0, argv=0xbfa64528) at kernel/qobject.cpp:3187
	signal_index = 158262808
#5  0x00f00503 in QSocketNotifier::activated (this=0x9690b78, _t1=10)
    at .moc/release-shared/moc_qsocketnotifier.cpp:83
	_a = {0x0, 0xbfa64544}
#6  0x00ecac87 in QSocketNotifier::event (this=0x9690b78, e=0xbfa648e4)
    at kernel/qsocketnotifier.cpp:316
No locals.
#7  0x025e7f54 in QApplicationPrivate::notify_helper (this=0x95fe150, 
    receiver=0x9690b78, e=0xbfa648e4) at kernel/qapplication.cpp:4056
	consumed = <value optimized out>
#8  0x025ef67c in QApplication::notify (this=0x95fe0d0, receiver=0x9690b78, 
    e=0xbfa648e4) at kernel/qapplication.cpp:3603
	res = true
#9  0x01176bfa in KApplication::notify (this=0x95fe0d0, receiver=0x9690b78, 
    event=0xbfa648e4) at ../../kdeui/kernel/kapplication.cpp:302
No locals.
#10 0x00eb06cb in QCoreApplication::notifyInternal (this=0x95fe0d0, 
    receiver=0x9690b78, event=0xbfa648e4) at kernel/qcoreapplication.cpp:610
	result = false
	cbdata = {0x9690b78, 0xbfa648e4, 0xbfa6489f}
	threadData = (QThreadData *) 0x9558e48
	returnValue = <value optimized out>
#11 0x00edb2ca in socketNotifierSourceDispatch (source=0x9601c38)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
	i = 1
	event = {_vptr.QEvent = 0xfa0748, d = 0x0, t = 50, posted = 0, 
  spont = 0, m_accept = 1, reserved = 13}
#12 0x00bdbe78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x00bdf720 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#14 0x00bdf853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
No symbol table info available.
#15 0x00edb02c in QEventDispatcherGlib::processEvents (this=0x955aa58, flags=
      {i = 36}) at kernel/qeventdispatcher_glib.cpp:327
	d = (QEventDispatcherGlibPrivate * const) 0x9601290
	canWait = true
	result = <value optimized out>
#16 0x02688be5 in QGuiEventDispatcherGlib::processEvents (this=0x955aa58, 
    flags={i = 36}) at kernel/qguieventdispatcher_glib.cpp:202
	d = (QGuiEventDispatcherGlibPrivate * const) 0x955aa68
	returnValue = false
#17 0x00eaec79 in QEventLoop::processEvents (this=0xbfa64b84, flags=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece.
)
    at kernel/qeventloop.cpp:149
	d = (QEventLoopPrivate * const) 0x96a7fc0
#18 0x00eaf0ca in QEventLoop::exec (this=0xbfa64b84, flags={i = 0})
    at kernel/qeventloop.cpp:201
	d = (QEventLoopPrivate * const) 0x96a7fc0
	app = <value optimized out>
#19 0x00eb153f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
	threadData = (QThreadData *) 0x9558e48
	eventLoop = {<QObject> = {_vptr.QObject = 0xfa17a8, 
    static staticMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xf49ba0 "QObject", data = 0xf49c40, 
        extradata = 0xf9d1b8}}, d_ptr = 0x96a7fc0, 
    static staticQtMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xf53380 "Qt", data = 0xf56700, extradata = 0x0}}}, 
  static staticMetaObject = {d = {superdata = 0xf9d1a8, 
      stringdata = 0xf5b7a0 "QEventLoop", data = 0xf5b7c0, extradata = 0x0}}}
	returnCode = -1
#20 0x025e7dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
No locals.
#21 0x08b79b7b in kdemain (argc=1, argv=0x95a7fc8)
    at ../../ksmserver/main.cpp:322
	aboutData = {d = 0x95c6d28}
	a = (class KApplication *) 0x95fe0d0
	only_local = <value optimized out>
	kde_running = {<QObject> = {_vptr.QObject = 0x1327c48, 
    static staticMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xf49ba0 "QObject", data = 0xf49c40, 
        extradata = 0xf9d1b8}}, d_ptr = 0x9699e90, 
    static staticQtMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xf53380 "Qt", data = 0xf56700, extradata = 0x0}}}, 
  static staticMetaObject = {d = {superdata = 0xf9d1a8, 
      stringdata = 0x13067e0 "KSelectionOwner", data = 0x1306860, 
      extradata = 0x0}}, d = 0x964d8f8}
	screenCountChanged = false
	ret = -1079620444
	options = {d = 0x95f2fb0}
	args = (KCmdLineArgs *) 0x95f3308
	wm = {static null = {<No data fields>}, static shared_null = {ref = {
      _q_value = 2870}, alloc = 0, size = 0, data = 0x80532ca, clean = 0, 
    simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 77}, 
    alloc = 0, size = 0, data = 0xfa246e, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0xfa245c, static codecForCStrings = 0x0}
	config = {<KConfigBase> = {_vptr.KConfigBase = 0xb99128}, d = {
    d = 0x96996e8}}
	realScreenCount = 1
	loginMode = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 2870}, alloc = 0, size = 0, data = 0x80532ca, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 77}, 
    alloc = 0, size = 0, data = 0xfa246e, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0x9692db0, static codecForCStrings = 0x0}
#22 0x0804dde1 in launch (argc=<value optimized out>, 
    _name=<value optimized out>, args=<value optimized out>, 
    cwd=0x95b302e "/home/arenner", envc=25, 
    envs=0x95b3040 "KDE_FULL_SESSION=true", reset_env=true, tty=0x95b336c "", 
    avoid_loops=false, startup_id_str=0x95b3371 "")
    at ../../kinit/kinit.cpp:677
	l = {<QObject> = {_vptr.QObject = 0xfa13c8, 
    static staticMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xf49ba0 "QObject", data = 0xf49c40, 
        extradata = 0xf9d1b8}}, d_ptr = 0x95b0938, 
    static staticQtMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xf53380 "Qt", data = 0xf56700, extradata = 0x0}}}, 
  static staticMetaObject = {d = {superdata = 0xf9d1a8, 
      stringdata = 0xf5b020 "QLibrary", data = 0xf5b0a0, extradata = 0x0}}, 
  d = 0x95a7f28, did_load = true}
	sym = <value optimized out>
	exec = <value optimized out>
	lib = {static null = {<No data fields>}, static shared_null = {ref = {
      _q_value = 2870}, alloc = 0, size = 0, data = 0x80532ca, clean = 0, 
    simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 77}, 
    alloc = 0, size = 0, data = 0xfa246e, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0x95a6cf8, static codecForCStrings = 0x0}
	execpath = {static shared_null = {ref = {_q_value = 759}, alloc = 0, 
    size = 0, data = 0x80532dc "", array = ""}, static shared_empty = {ref = {
      _q_value = 16}, alloc = 0, size = 0, data = 0xfa2398 "", array = ""}, 
  d = 0x95b09e8}
	name = {static shared_null = {ref = {_q_value = 759}, alloc = 0, 
    size = 0, data = 0x80532dc "", array = ""}, static shared_empty = {ref = {
      _q_value = 16}, alloc = 0, size = 0, data = 0xfa2398 "", array = ""}, 
  d = 0x95b0910}
	exec = {static shared_null = {ref = {_q_value = 759}, alloc = 0, 
    size = 0, data = 0x80532dc "", array = ""}, static shared_empty = {ref = {
      _q_value = 16}, alloc = 0, size = 0, data = 0xfa2398 "", array = ""}, 
  d = 0x957e498}
	libpath = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 2870}, alloc = 0, size = 0, data = 0x80532ca, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 77}, 
    alloc = 0, size = 0, data = 0xfa246e, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0x95b0c48, static codecForCStrings = 0x0}
	startup_id = {d = 0x955a9e0}
#23 0x0804ea35 in handle_launcher_request (sock=<value optimized out>, 
    who=<value optimized out>) at ../../kinit/kinit.cpp:1169
	tty = 0x95b336c ""
	avoid_loops = 0
	arg_n = <value optimized out>
	args = 0x95b302e "/home/arenner"
	pid = <value optimized out>
	response_header = {cmd = 0, arg_length = 0}
	envc = <value optimized out>
	envs = 0x95b3040 "KDE_FULL_SESSION=true"
	kdedisplay = {static shared_null = {ref = {_q_value = 759}, 
    alloc = 0, size = 0, data = 0x80532dc "", array = ""}, 
  static shared_empty = {ref = {_q_value = 16}, alloc = 0, size = 0, 
    data = 0xfa2398 "", array = ""}, d = 0x80532cc}
	response_data = <value optimized out>
	l = <value optimized out>
	name = 0x95b3024 "ksmserver"
	cwd = 0x95b302e "/home/arenner"
	startup_id_str = 0x95b3371 ""
	olddisplay = {static shared_null = {ref = {_q_value = 759}, 
    alloc = 0, size = 0, data = 0x80532dc "", array = ""}, 
  static shared_empty = {ref = {_q_value = 16}, alloc = 0, size = 0, 
    data = 0xfa2398 "", array = ""}, d = 0x9581c20}
	request_header = {cmd = 11, arg_length = 850}
	request_data = 0x95b3020 "\001"
	result = <value optimized out>
#24 0x0804ee69 in handle_requests (waitForPid=<value optimized out>)
    at ../../kinit/kinit.cpp:1353
	client = {sun_family = 1, 
  sun_path = "\000\000\000¿ÿÿÿÿ\000\000\000\000ô\217m\000ô\217m\000ÈgZ\t\000\000\000\000\nE_\000ÈgZ\tÿÿÿÿp<Z\tôï\212\000à\206m\000\000\000\000\000 £m\000\030kZ\tp<Z\tô\217m\000 £m\000ìû\212\000à\206m\000\000\000\000\000(R¦¿\000\000\000\000è\177Z\t oW\t\001\b\004"}
	sClient = 2
	sock = <value optimized out>
	wr_set = {fds_bits = {0 <repeats 32 times>}}
	exit_pid = <value optimized out>
	exit_status = 0
	c = 0 '\0'
	rd_set = {fds_bits = {64, 0 <repeats 31 times>}}
	e_set = {fds_bits = {0 <repeats 32 times>}}
	result = <value optimized out>
	max_sock = <value optimized out>
#25 0x0804fbaf in main (argc=2, argv=0xbfa654c4, envp=0xbfa654d0)
    at ../../kinit/kinit.cpp:1793
	pid = <value optimized out>
	do_fork = true
	launch_klauncher = 1
	launch_kded = 1
	keep_running = 1
Comment 3 Lubos Lunak 2009-11-23 20:01:12 UTC
*** Bug 208533 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2010-01-06 21:51:23 UTC
*** Bug 219006 has been marked as a duplicate of this bug. ***
Comment 5 Dario Andres 2010-01-06 21:51:30 UTC
*** Bug 221568 has been marked as a duplicate of this bug. ***
Comment 6 darkplexus 2010-04-03 21:03:03 UTC
Qt: 4.6.2
KDE Development Platform: 4.4.1 (KDE 4.4.1)
The KDE Session Manager: 0.4

<In detail, tell us what you were doing  when the application crashed.>
I turned the computer on and logged in.
it never made it to the desktop.
the animation before the desktop loads was stuck at roughly 40% or less...
then it froze. so i clicked the screen to see if it would go away and maybe give me more information.
it crashed and i had no use of my keyboard. so i could not type.
i had to save this report to a file for later submission.

 -- Backtrace:
Application: The KDE Session Manager (ksmserver), signal: Segmentation fault
[KCrash Handler]
#6  memcpy () at ../sysdeps/i386/i686/memcpy.S:75
#7  0x092737a8 in ?? ()
#8  0x03d2387c in QX11PixmapData::toImage (this=0x92188d8) at /usr/include/bits/string3.h:52
#9  0x03d0b6cc in QPixmap::toImage (this=0xbfa15bd0) at image/qpixmap.cpp:486
#10 0x05f6a957 in KPixmapCache::Private::writeData (this=0x91e5a90, key=..., pix=...) at /usr/src/debug/kdelibs-4.4.1/kdeui/util/kpixmapcache.cpp:1472
#11 0x05f6e23f in KPixmapCache::insert (this=0x91e59f8, key=..., pix=...) at /usr/src/debug/kdelibs-4.4.1/kdeui/util/kpixmapcache.cpp:1438
#12 0x05eb930c in KIconCache::insert (this=0x91e59f8, key=..., pix=...) at /usr/src/debug/kdelibs-4.4.1/kdeui/icons/kiconcache.cpp:298
#13 0x05eb0625 in KIconLoader::loadIcon (this=0x9174b20, _name=..., group=User, size=16, state=0, overlays=..., path_store=0x0, canReturnNull=true)
    at /usr/src/debug/kdelibs-4.4.1/kdeui/icons/kiconloader.cpp:1005
#14 0x05eb02c8 in KIconLoader::loadIcon (this=0x9174b20, _name=..., group=Desktop, size=16, state=<value optimized out>, overlays=..., path_store=0x0, canReturnNull=false)
    at /usr/src/debug/kdelibs-4.4.1/kdeui/icons/kiconloader.cpp:1130
#15 0x05ea88a7 in KIconEngine::pixmap (this=0x91e8a20, size=..., mode=Normal, state=Off) at /usr/src/debug/kdelibs-4.4.1/kdeui/icons/kiconengine.cpp:119
#16 0x03cdc0e7 in QIcon::pixmap (this=0xbfa1616c, size=..., mode=Normal, state=Off) at image/qicon.cpp:669
#17 0x03cc8073 in QWidgetPrivate::setWindowIcon_sys (this=0x91e8fc0, forceReset=false) at kernel/qwidget_x11.cpp:1458
#18 0x03c80645 in QWidget::create (this=0x91e5718, window=0, initializeWindow=true, destroyOldWindow=true) at kernel/qwidget.cpp:1351
#19 0x03c7c6b6 in QWidgetPrivate::createWinId (this=0x91e8fc0, winid=0) at kernel/qwidget.cpp:2319
#20 0x03c80409 in QWidget::createWinId (this=0x91e5718) at kernel/qwidget.cpp:2335
#21 0x03cb8fbe in setupOwner () at kernel/qclipboard_x11.cpp:131
#22 0x03cb99b8 in QClipboard::QClipboard (this=0x91da998, parent=0x0) at kernel/qclipboard_x11.cpp:458
#23 0x03c2bf94 in QApplication::clipboard () at kernel/qapplication.cpp:3090
#24 0x05eedbdd in KClipboardSynchronizer::Private::setupSignals (this=0x91dcff8) at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kclipboard.cpp:94
#25 0x05eee025 in KClipboardSynchronizer::KClipboardSynchronizer (this=0x91d90d0, parent=0x0) at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kclipboard.cpp:84
#26 0x05eee0cf in operator-> () at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kclipboard.cpp:73
#27 operator KClipboardSynchronizer* () at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kclipboard.cpp:73
#28 KClipboardSynchronizer::self () at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kclipboard.cpp:74
#29 0x05ee8dc8 in KApplicationPrivate::init (this=0x91db4a0, GUIenabled=true) at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kapplication.cpp:463
#30 0x05ee9d08 in KApplication::KApplication (this=0x9174a40, dpy=0x9169890, visual=152519888, colormap=23068673) at /usr/src/debug/kdelibs-4.4.1/kdeui/kernel/kapplication.cpp:355
#31 0x0034e3e6 in kdemain (argc=1, argv=0xbfa168d4) at /usr/src/debug/kdebase-workspace-4.4.1/ksmserver/main.cpp:256
#32 0x080486fc in main (argc=1, argv=0xbfa168d4) at /usr/src/debug/kdebase-workspace-4.4.1/i686-redhat-linux-gnu/ksmserver/ksmserver_dummy.cpp:3
Comment 7 Dario Andres 2010-04-05 01:47:31 UTC
@darkplexus: your crash is a different one, being tracked at bug 209263. 

----

From bug 233286:
- What I was doing when the application crashed:
After running some updates (I can provide a list if needed) and rebooting the
KDE session handler crashed.

 -- Backtrace:
#6  0x00a92da7 in _IceTransGetConnectionNumber () from /usr/lib/libICE.so.6
#7  0x07ca5de5 in KSMServer::newConnection (this=0x914ff70) at
../../ksmserver/server.cpp:825
#8  0x07ca611f in KSMServer::qt_metacall (this=0x914ff70,
_c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbff7b90c) at ./server.moc:107
#9  0x00c63303 in QMetaObject::activate (sender=0x9176f48, from_signal_index=4,
to_signal_index=4, argv=0xbff7b90c) at kernel/qobject.cpp:3112
#10 0x00c63f42 in QMetaObject::activate (sender=0x9176f48, m=0xd3fd30,
local_signal_index=0, argv=0xbff7b90c) at kernel/qobject.cpp:3186
#11 0x00c9e9c3 in QSocketNotifier::activated (this=0x9176f48, _t1=9) at
.moc/release-shared/moc_qsocketnotifier.cpp:83
#12 0x00c68907 in QSocketNotifier::event (this=0x9176f48, e=0xbff7bce0) at
kernel/qsocketnotifier.cpp:316
...
Comment 8 Dario Andres 2010-04-05 01:47:40 UTC
*** Bug 233286 has been marked as a duplicate of this bug. ***
Comment 9 Jonathan Thomas 2010-04-17 05:24:10 UTC
*** Bug 234557 has been marked as a duplicate of this bug. ***
Comment 10 Lubos Lunak 2010-05-12 12:04:44 UTC
*** Bug 237184 has been marked as a duplicate of this bug. ***
Comment 11 Lubos Lunak 2010-05-21 18:22:11 UTC
*** Bug 238067 has been marked as a duplicate of this bug. ***
Comment 12 Lubos Lunak 2010-05-31 09:46:37 UTC
*** Bug 239900 has been marked as a duplicate of this bug. ***
Comment 13 Lubos Lunak 2010-06-04 12:45:58 UTC
*** Bug 240670 has been marked as a duplicate of this bug. ***
Comment 14 Dario Andres 2010-11-24 19:19:29 UTC
[Comment from a bug triager]
From bug 257688:
-- Information about the crash:
I had a italc session running (client was showing a  demo) but I want my
desktop back (instead of content from ica) and I killed all italc/ica pids on
console as root.
after relogin as my user the ksmserver continously crashing.
Comment 15 Dario Andres 2010-11-24 19:19:43 UTC
*** Bug 257688 has been marked as a duplicate of this bug. ***
Comment 16 Dario Andres 2010-11-24 19:19:45 UTC
*** Bug 254523 has been marked as a duplicate of this bug. ***
Comment 17 Dario Andres 2010-11-24 19:19:46 UTC
*** Bug 250351 has been marked as a duplicate of this bug. ***
Comment 18 Dario Andres 2011-01-22 13:30:10 UTC
*** Bug 263789 has been marked as a duplicate of this bug. ***
Comment 19 Lubos Lunak 2011-05-31 11:56:18 UTC
*** Bug 274565 has been marked as a duplicate of this bug. ***
Comment 20 Lubos Lunak 2011-05-31 11:56:31 UTC
*** Bug 274568 has been marked as a duplicate of this bug. ***
Comment 21 Lubos Lunak 2011-05-31 11:59:34 UTC
Fixed in master and 4.6.